Subject: Re: [PATCH 2/2] IB/ipoib: fix GRO merge failure for IPoIB originated TCP streams

From: Or Gerlitz <ogerlitz-VPRAkNaXOzVWk0Htik3J/[email-masked]>
Date: Mon, 30 Jan 2012 10:11:00 +0200

On 1/30/2012 10:04 AM, Eric Dumazet wrote:
> Hmm, do we really need to compare ether header, thats the question. 
> IMHO, GRO could avoid this check, as legal trafic could be never 
> merged (eg multipath) 

Yep, basically I tend to agree that GRO could do very well with L3 and 
L4 checks, the multipath comment is interesting use case to show why the 
ethernet header comparison might be too strict here.

Or.

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html